These files are developer documentation, of no interest to anyone who is not building a UI module for Ill. They may go out of date. I made them for my own benefit, so _caveat lector_.

* [Architecture of a modern `<SearchAndSort>`-based app](architecture-of-searchandsort-app.md)
* [Making sense of the directory-entry structure](data-structure.md)
* [API to the Refdata system](refdata-api.md)

